curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/trigger' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"workflow_id": "string",
"run_id": "string"
}
Trigger warranty workflow
Success
POST
/
v1
/
workflows
/
warranty-automation-v2
/
trigger
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/trigger' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"workflow_id": "string",
"run_id": "string"
}
Request body
WarrantyTriggerInput
string (uuid)
required
string
required
string (uuid)
Response
StartWorkflowResponse
string
required
string
Status codes
| Code | Meaning |
|---|---|
200 | Success |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/trigger' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"ticket_id": "string",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
{
"workflow_id": "string",
"run_id": "string"
}